<?php
    if ( ! defined('ABSPATH')) {
        exit;
    }

    use function OPDashboard\view;
    use function OPDashboard\sl_license_is_valid;
    use function OPDashboard\sl_license_valid_date;

    $licenceValidDate    = sl_license_valid_date();
    $isLicenseValid      = sl_license_is_valid();
    $isLicenseValidClass = $isLicenseValid ? '' : ' ops-danger';
    $nextDashboardAction = isset($customer->next_dashboard_action) ? (object) $customer->next_dashboard_action : null;
?>

<div class="opd-dashboard-connected-introduction ops-box-size-max">
    <div class="ops-white-box ops-two-column">
        <div class="d-flex justify-content-between">
            <div>
                <p class="opd-welcome"><?php _e( 'Welcome to your OptimizePress site!', 'opdash' ); ?></p>
                <p class="opd-customer"><?php _e( 'Hello ', 'opdash' ); ?><?php echo $customer->getFullNameAttribute(); ?></p>

                <p class="m-0">
                    <?php _e('You currently have the', 'optimizepress'); ?>
                    <strong>"<?php echo $customer->tier->title ?>"</strong>.<br>
                    <?php _e('To disconnect your site, click the button below', 'optimizepress'); ?>:<br><br>
                    <a href="<?php echo \OPDashboard\sl_disconnect_url() ?>" class="ops-button ops-transparent"><?php _e('Disconnect', 'optimizepress'); ?></a>
                </p>
            </div>

            <div class="w-50">
                <p class="opd-licenseValidation <?php echo $isLicenseValidClass; ?>">
                    <?php _e('License status', 'opdash') ?>:
                    <?php if ($isLicenseValid) : ?>
                        <span class="ops-badge ops-badge-success" style="position: relative; top: -2px; border-radius: 3px;">Valid</span><hr>
                        <strong>
                            <?php _e('Expires on', 'optimizepress'); ?>:
                            <?php echo date(get_option('date_format'), $licenceValidDate); ?>
                        </strong>
                    <?php else: ?>
                        <span class="ops-badge ops-badge-danger" style="position: relative; top: -2px; border-radius: 3px;">Expired</span><hr>
                        <strong>
                            <?php _e('Expired at', 'optimizepress'); ?>:
                            <?php echo date(get_option('date_format'), $licenceValidDate); ?>
                        </strong>
                    <?php endif; ?>

                    <?php
                        if (isset($nextDashboardAction, $nextDashboardAction->type)) {
                            view('dashboard/partials/next-dashboard-actions/' . $nextDashboardAction->type, ['nextDashboardAction' => $nextDashboardAction]);
                        }
                    ?>
                </p>
            </div>
        </div>
    </div>
</div>
