<?php
    use OPDashboard\Services\LengthAwarePaginator;

    /** @var LengthAwarePaginator $paginator */
    /** @var array $elements */
?>

<?php if ($paginator->hasPages()) : ?>
    <ul class="ops-pagination ops-justify-content-center" role="navigation">
        <!-- Previous Page Link -->
        <?php if ($paginator->onFirstPage()) : ?>
            <li class=ops-page-item disabled" aria-disabled="true" aria-label="Previous">
                <span class="ops-page-link" aria-hidden="true">&lsaquo;</span>
            </li>
        <?php else : ?>
            <li class="ops-page-item">
                <a class="ops-page-link" href="<?php echo $paginator->previousPageUrl() ?>" rel="prev" aria-label="Previous">&lsaquo;</a>
            </li>
        <?php endif; ?>

        <!-- Pagination Elements -->
        <?php foreach ($elements as $element) : ?>
            <!-- "Three Dots" Separator -->
            <?php if (is_string($element)) : ?>
                <li class="ops-page-item disabled" aria-disabled="true"><span class="ops-page-link"><?php echo $element ?></span></li>
            <?php endif; ?>

            <!-- Array Of Links -->
            <?php if (is_array($element)) : ?>
                <?php foreach ($element as $page => $url) : ?>

                    <?php if ($page == $paginator->currentPage()) : ?>
                        <li class="ops-page-item active" aria-current="page"><span class="ops-page-link"><?php echo $page; ?></span></li>
                    <?php else : ?>
                        <li class="ops-page-item"><a class="ops-page-link" href="<?php echo $url; ?>"><?php echo $page; ?></a></li>
                    <?php endif; ?>
                <?php endforeach; ?>
            <?php endif; ?>
        <?php endforeach; ?>


        <!-- Next Page Link -->
        <?php if ($paginator->hasMorePages()) : ?>
            <li class="ops-page-item">
                <a class="ops-page-link" href="<?php echo $paginator->nextPageUrl() ?>" rel="next" aria-label="Next">&rsaquo;</a>
            </li>
        <?php else : ?>
            <li class="ops-page-item disabled" aria-disabled="true" aria-label="Next">
                <span class="ops-page-link" aria-hidden="true">&rsaquo;</span>
            </li>
        <?php endif; ?>
    </ul>
<?php endif; ?>
