<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>

<div class="ops-white-box ops-box-size-max">
    <h3><?php _e('Facebook Integration', 'opdash'); ?></h3>

    <form action="<?php echo admin_url('admin-ajax.php') ?>?action=op_dashboard_update_settings" class="ops-form" data-opd-remote="post">
        <?php wp_nonce_field('opd_update_settings'); ?>
        <input type="hidden" name="opd_settings_section" value="facebook">
        <input type="hidden" name="action" value="opd_update_settings">

        <div class="ops-form-group">
            <label for="opd_facebook_app_id">Facebook App ID</label>
            <input type="text" placeholder="Enter your Facebook APP ID" name="opd_facebook_app_id" id="opd_facebook_app_id" value="<?php echo get_option('opd_facebook_app_id') ?>" class="ops-form-control">
        </div>

        <div class="ops-form-group">
            <label for="opd_facebook_locale">Localization</label>
            <p><?php _e('Facebook elements used in OptimizePress 3 will be automatically translated to this language.', 'opdash'); ?></p>
            <?php
            // List of languagues supported by Facebook Web SDK
            // http://fbdevwiki.com/wiki/Locales
            $json = '{"af_ZA":"Afrikaans","gn_PY":"Guaraní","ay_BO":"Aymara","az_AZ":"Azeri","id_ID":"Indonesian","ms_MY":"Malay","jv_ID":"Javanese","bs_BA":"Bosnian","ca_ES":"Catalan","cs_CZ":"Czech","ck_US":"Cherokee","cy_GB":"Welsh","da_DK":"Danish","se_NO":"Northern Sámi","de_DE":"German","et_EE":"Estonian","en_IN":"English (India)","en_PI":"English (Pirate)","en_GB":"English (UK)","en_UD":"English (Upside Down)","en_US":"English (US)","es_LA":"Spanish","es_CL":"Spanish (Chile)","es_CO":"Spanish (Colombia)","es_ES":"Spanish (Spain)","es_MX":"Spanish (Mexico)","es_VE":"Spanish (Venezuela)","eo_EO":"Esperanto","eu_ES":"Basque","tl_PH":"Filipino","fo_FO":"Faroese","fr_FR":"French (France)","fr_CA":"French (Canada)","fy_NL":"Frisian","ga_IE":"Irish","gl_ES":"Galician","ko_KR":"Korean","hr_HR":"Croatian","xh_ZA":"Xhosa","zu_ZA":"Zulu","is_IS":"Icelandic","it_IT":"Italian","ka_GE":"Georgian","sw_KE":"Swahili","tl_ST":"Klingon","ku_TR":"Kurdish","lv_LV":"Latvian","fb_LT":"Leet Speak","lt_LT":"Lithuanian","li_NL":"Limburgish","la_VA":"Latin","hu_HU":"Hungarian","mg_MG":"Malagasy","mt_MT":"Maltese","nl_NL":"Dutch","nl_BE":"Dutch (België)","ja_JP":"Japanese","nb_NO":"Norwegian (bokmal)","nn_NO":"Norwegian (nynorsk)","uz_UZ":"Uzbek","pl_PL":"Polish","pt_BR":"Portuguese (Brazil)","pt_PT":"Portuguese (Portugal)","qu_PE":"Quechua","ro_RO":"Romanian","rm_CH":"Romansh","ru_RU":"Russian","sq_AL":"Albanian","sk_SK":"Slovak","sl_SI":"Slovenian","so_SO":"Somali","fi_FI":"Finnish","sv_SE":"Swedish","th_TH":"Thai","vi_VN":"Vietnamese","tr_TR":"Turkish","zh_CN":"Simplified Chinese (China)","zh_TW":"Traditional Chinese (Taiwan)","zh_HK":"Traditional Chinese (Hong Kong)","el_GR":"Greek","gx_GR":"Classical Greek","be_BY":"Belarusian","bg_BG":"Bulgarian","kk_KZ":"Kazakh","mk_MK":"Macedonian","mn_MN":"Mongolian","sr_RS":"Serbian","tt_RU":"Tatar","tg_TJ":"Tajik","uk_UA":"Ukrainian","hy_AM":"Armenian","yi_DE":"Yiddish","he_IL":"Hebrew","ur_PK":"Urdu","ar_AR":"Arabic","ps_AF":"Pashto","fa_IR":"Persian","sy_SY":"Syriac","ne_NP":"Nepali","mr_IN":"Marathi","sa_IN":"Sanskrit","hi_IN":"Hindi","bn_IN":"Bengali","pa_IN":"Punjabi","gu_IN":"Gujarati","ta_IN":"Tamil","te_IN":"Telugu","kn_IN":"Kannada","ml_IN":"Malayalam","km_KH":"Khmer"}';
            $array = json_decode($json, true);
            $value = get_option('opd_facebook_locale');
            $value = $value ? $value : get_locale();
            ?>
            <select placeholder="Select your prefered locale" name="opd_facebook_locale" class="ops-form-control ops-form-control-facebook-select">
                <?php
                foreach ($array as $key => $label) {
                    $selected = $key === $value ? 'selected="selected"' : '';
                    echo '<option value="' . $key . '"' . $selected . '>' . $label . '</option>';
                }
                ?>
            </select>
        </div>

        <?php /*
        <div class="ops-form-group">
            <label for="">Facebook Admins</label>
            <input type="text" placeholder="Enter your admin email here" name="opd_facebook_admin_email" value="<?php echo get_option('opd_facebook_admin_email') ?>" value="" class="ops-form-control">
        </div>

        <div class="ops-form-group">
            <label for="">Facebook Secret Key</label>
            <input type="text" placeholder="Enter your Facebook secret key" name="opd_facebook_secret_key" value="<?php echo get_option('opd_facebook_secret_key') ?>" value="" class="ops-form-control">
        </div>
        */ ?>
        <div class="ops-form-actions">
            <button class="ops-button" type="submit">Save</button>
        </div>
    </form>

</div>
