<?php

return [
    'key'      => 'mautic',
    'title'    => 'Mautic',
    'service'  => OptimizePress\Integrations\Services\Integrations\MauticIntegration::class,
    'provider' => OptimizePress\Integrations\Services\Providers\MauticProvider::class,
    'thumb'    => 'img/icons/integration-mautic.png',
    'enabled'  => true,
    'type'     => 'oauth',
    'direct_oauth' => true, // OAuth integration are being authenticated without the SL middleman
    'global'   => false,
    'has_tags' => true,
    'list_map' => [
        'id' => 'id',
        'name' => 'name',
        'description' => 'description',
        'form_id' => 'form_id',
    ],
    'connection' => [
        'fields'  => [
            'client_id'     => ['label' => 'Client ID'],
            'client_secret' => ['label' => 'Client Secret'],
            'token'         => ['label' => 'Token', 'readonly' => true],
            'refresh_token' => ['label' => 'Refresh token', 'readonly' => true],
            'url'           => ['label' => 'Mautic Instance Url', 'readonly' => true],
        ],
        'authorization_url' => '/oauth/v2/authorize',
        'access_token_uri'  => '/oauth/v2/token',
    ],
    'connection_requirements' => 'list',
    'list_label'              => 'Using Campaigns',
    'has_lead_options'        => false,
    'service_url'             => 'https://www.mautic.org/',
    'has_gdpr'                => true,
    'gdpr_tag_source'         => 'tags',
    'gdpr_notes'              => 'fields',
    'list_copy'               => 'Integrate your form with Mautic. <a href="https://www.optimizelink.com/op3-mautic" target="_blank">Read our Mautic integration guide here</a>'
];
